﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SCC.Models
{
    /// <summary>
    /// 项目相关枚举类
    /// </summary>
    class SCCEnum
    {
    }

    /// <summary>
    /// 日志类型
    /// </summary>
    public enum LogType
    {
        /// <summary>
        /// 操作日志
        /// </summary>
        OperationLog = 1,
        /// <summary>
        /// 错误日志
        /// </summary>
        ErrorLog = 2
    }

    /// <summary>
    /// 彩票定义
    /// </summary>
    public enum LotteryDefine
    {
        /// <summary>
        /// 全国彩种
        /// </summary>
        National = 1,
        /// <summary>
        /// 地方彩种
        /// </summary>
        Locality = 2,
        /// <summary>
        /// 高频彩
        /// </summary>
        HighRate = 3
    }

    /// <summary>
    /// 彩种枚举
    /// </summary>
    public enum SCCLottery
    {
        /// <summary>
        /// 湖北快3
        /// </summary>
        [TableName("GP_K3_HuBei")]
        HuBeiK3,
        /// <summary>
        /// 上海时时乐
        /// </summary>
        [TableName("GP_SSL_ShangHai")]
        ShangHaiSSL,
        /// <summary>
        /// 山东快乐扑克3
        /// </summary>
        [TableName("GP_KLPK3_ShanDong")]
        ShanDongKLPK3,
        /// <summary>
        /// 湖南幸运赛车
        /// </summary>
        [TableName("GP_XYSC_HuNan")]
        HuNanXYSC,
        /// <summary>
        /// 河南快赢481(泳坛夺金)
        /// </summary>
        [TableName("GP_KY481_HeNan")]
        HeNanKY481,
        /// <summary>
        /// 湖北11选5
        /// </summary>
        [TableName("GP_11x5_HuBei")]
        HuBei11x5,
        /// <summary>
        /// 安徽11选5
        /// </summary>
        [TableName("GP_11x5_AnHui")]
        AnHui11x5,
        /// <summary>
        /// 内蒙古11选5
        /// </summary>
        [TableName("GP_11x5_NeiMengGu")]
        NeiMengGu11x5,
        /// <summary>
        /// 甘肃11选5
        /// </summary>
        [TableName("GP_11x5_GanSu")]
        GanSu11x5,
        /// <summary>
        /// 贵州11选5
        /// </summary>
        [TableName("GP_11x5_GuiZhou")]
        GuiZhou11x5,
        /// <summary>
        /// 福建11选5(即乐彩)
        /// </summary>
        [TableName("GP_11x5_FuJian")]
        FuJian11x5,
        /// <summary>
        /// 新疆11选5(新乐彩)
        /// </summary>
        [TableName("GP_11x5_XinJiang")]
        XinJiang11x5,
        /// <summary>
        /// 山西11选5
        /// </summary>
        [TableName("GP_11x5_ShanXiTaiYuan")]
        ShanXiTaiYuan11x5,
        /// <summary>
        /// 陕西11选5
        /// </summary>
        [TableName("GP_11x5_ShanXiXiAn")]
        ShanXiXiAn11x5,
        /// <summary>
        /// 上海11选5
        /// </summary>
        [TableName("GP_11x5_ShangHai")]
        ShangHai11x5,
        /// <summary>
        /// 重庆快乐十分(幸运农场)
        /// </summary>
        [TableName("GP_KL10F_ChongQing")]
        ChongQingKL10F,
        /// <summary>
        /// 湖南快乐十分(动物总动员)
        /// </summary>
        [TableName("GP_KL10F_HuNan")]
        HuNanKL10F,
        /// <summary>
        /// 北京快乐8
        /// </summary>
        [TableName("GP_KL8_BeiJing")]
        BeiJingKL8,
        /// <summary>
        /// 北京pk10(北京赛车)
        /// </summary>
        [TableName("GP_PK10_BeiJing")]
        BeiJingPK10,

        #region 第一批次彩种
        /// <summary>
        /// 黑龙江11选5
        /// </summary>
        [TableName("GP_11x5_HeiLongJiang")]
        HeiLongJiang11X5,
        /// <summary>
        /// 江苏11选5
        /// </summary>
        [TableName("GP_11x5_JiangSu")]
        JiangSu11X5,
        /// <summary>
        /// 河北11选5
        /// </summary>
        [TableName("GP_11x5_HeBei")]
        HeBei11X5,
        /// <summary>
        /// 广东11选5
        /// </summary>
        [TableName("GP_11x5_GuangDong")]
        GuangDong11X5,
        /// <summary>
        /// 浙江11选5
        /// </summary>
        [TableName("GP_11x5_ZheJiang")]
        ZheJiang11X5,
        /// <summary>
        /// 云南11选5
        /// </summary>
        [TableName("GP_11x5_YunNan")]
        YunNan11X5,
        /// <summary>
        /// 吉林11选5
        /// </summary>
        [TableName("GP_11x5_JiLin")]
        JiLin11X5,
        /// <summary>
        /// 江西11选5
        /// </summary>
        [TableName("GP_11x5_JiangXi")]
        JiangXi11X5,
        /// <summary>
        /// 辽宁11选5(全运彩)
        /// </summary>
        [TableName("GP_11x5_LiaoNing")]
        LiaoNing11X5,
        /// <summary>
        /// 山东11选5
        /// </summary>
        [TableName("GP_11x5_ShanDong")]
        ShanDong11X5,
        /// <summary>
        /// 江苏快3
        /// </summary>
        [TableName("GP_K3_JiangSu")]
        JiangSuK3,
        /// <summary>
        /// 河北快3
        /// </summary>
        [TableName("GP_K3_HeBei")]
        HeBeiK3,
        /// <summary>
        /// 安徽快3
        /// </summary>
        [TableName("GP_K3_AnHui")]
        AnHuiK3,
        /// <summary>
        /// 内蒙古快3
        /// </summary>
        [TableName("GP_K3_NeiMengGu")]
        NeiMengGuK3,
        /// <summary>
        /// 吉林快3
        /// </summary>
        [TableName("GP_K3_JiLin")]
        JiLinK3,
        /// <summary>
        /// 四川快乐12
        /// </summary>
        [TableName("GP_KL12_SiChuan")]
        SiChuanKL12,
        /// <summary>
        /// 辽宁快乐12
        /// </summary>
        [TableName("GP_KL12_LiaoNing")]
        LiaoNingKL12,
        /// <summary>
        /// 浙江快乐12
        /// </summary>
        [TableName("GP_KL12_ZheJiang")]
        ZheJiangKL12,
        /// <summary>
        /// 山东群英会
        /// </summary>
        [TableName("GP_QYH_ShanDong")]
        ShanDongQYH,
        /// <summary>
        /// 广东快乐十分
        /// </summary>
        [TableName("GP_KL10F_GuangDong")]
        GuangDongKL10F,
        /// <summary>
        /// 广西快乐十分
        /// </summary>
        [TableName("GP_KL10F_GuangXi")]
        GuangXiKL10F,
        /// <summary>
        /// 山西快乐十分
        /// </summary>
        [TableName("GP_KL10F_ShanXi")]
        ShanXiTaiYuanKL10F,
        /// <summary>
        /// 天津快乐十分
        /// </summary>
        [TableName("GP_KL10F_TianJin")]
        TianJinKL10F,

        #endregion

        #region 地方彩
        /// <summary>
        /// 江苏体彩七位数
        /// </summary>
        [TableName("DT_TCJS7WS")]
        JSTC7WS,
        /// <summary>
        /// 江苏体彩七位数走势图
        /// </summary>
        [TableName("DT_TCJS7WSTrendChartData")]
        JSTC7WSTrendChart,
        /// <summary>
        /// 浙江体彩6+1
        /// </summary>
        [TableName("DT_TCZJ6J1")]
        ZJTC6J1,
        /// <summary>
        /// 浙江体彩6+1走势图
        /// </summary>
        [TableName("DT_TCZJ6J1TrendChartData")]
        ZJTC6J1TrendChart,
        /// <summary>
        /// 新疆35选7
        /// </summary>
        [TableName("DT_FCXJ35X7")]
        XJ35X7,
        /// <summary>
        /// 新疆35选7走势图
        /// </summary>
        [TableName("DT_FCXJ35X7TrendChartData")]
        XJ35X7TrendChart,
        /// <summary>
        /// 东方6+1
        /// </summary>
        [TableName("DT_FCDF6J1")]
        DF6J1,
        /// <summary>
        /// 东方6+1走势图
        /// </summary>
        [TableName("DT_FCDF6J1TrendChartData")]
        DF6J1TrendChart,
        /// <summary>
        /// 华东15选5
        /// </summary>
        [TableName("DT_FCHD11X5")]
        HD15X5,
        /// <summary>
        /// 华东15选5走势图
        /// </summary>
        [TableName("DT_FCHD11X5TrendChartData")]
        HD15X5TrendChart,
        /// <summary>
        /// 河南22选5
        /// </summary>
        [TableName("DT_FCHN22X5")]
        HeNan22X5,
        /// <summary>
        /// 河南22选5走势图
        /// </summary>
        [TableName("DT_FCHN22X5TrendChartData")]
        HeNan22X5TrendChart,
        /// <summary>
        /// 广东36选7
        /// </summary>
        [TableName("DT_FCNY36X7")]
        GD36X7,
        /// <summary>
        /// 广东36选7走势图
        /// </summary>
        [TableName("DT_FCNY36X7TrendChartData")]
        GD36X7TrendChart,
        /// <summary>
        /// 湖北30选5
        /// </summary>
        [TableName("DT_FCHB30X5")]
        HuBei30X5,
        /// <summary>
        /// 湖北30选5走势图
        /// </summary>
        [TableName("DT_FCHB30X5TrendChartData")]
        HuBei30X5TrendChart,
        /// <summary>
        /// 福建36选7
        /// </summary>
        [TableName("DT_TCFJ36X7")]
        FJ36X7,
        /// <summary>
        /// 福建36选7走势图
        /// </summary>
        [TableName("DT_TCFJ36X7TrendChartData")]
        FJ36X7TrendChart,
        /// <summary>
        /// 福建31选7
        /// </summary>
        [TableName("DT_TCFJ31X7")]
        FJ31X7,
        /// <summary>
        /// 福建31选7走势图
        /// </summary>
        [TableName("DT_TCFJ31X7TrendChartData")]
        FJ31X7TrendChart,
        /// <summary>
        /// 广东好彩1
        /// </summary>
        [TableName("DT_HC1")]
        GDHC1,
        /// <summary>
        /// 广东好彩1走势图
        /// </summary>
        [TableName("DT_HC1TrendChartData")]
        GDHC1TrendChart,
        #endregion

        #region 全国彩
        /// <summary>
        /// 双色球
        /// </summary>
        [TableName("DT_FCSSQ")]
        SSQ,
        /// <summary>
        /// 双色球走势图
        /// </summary>
        [TableName("DT_FCSSQTrendChartData")]
        SSQTrendChart,
        #endregion
    }
}
